@font-face {
	font-family: FantaisieArtistique;
	src: url("fonts for site/fantaisieartistique.medium.ttf");
	font-weight: normal;
	/*This font is free for commercial use. Sourced from: https://www.1001fonts.com/fantaisieartistique-font.html where the copyright information is also listed*/
		
}

@font-face {
    font-family: Benguiat;
    src: url("fonts for site/benguiat.ttf");
    font-weight: normal;
	/*This font is free for personal use. If this site were really accepting purchases, I would change or license the font. Sourced from: https://dafontonline.com/itc-benguiat-font-download-free/ where the copyright information is also listed*/
}

*, *::before, *::after {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}


body {
    color: #00B7A8;
    background-color: #1F0A2E;
    padding-top: 0px;
    margin-top: 0px;
    margin-right: 0px;
    margin-bottom: 0px;
    margin-left: 0px;
    padding-right: 0px;
    padding-bottom: 0px;
    padding-left: 0px;
    font-family: Benguiat;
    font-weight: normal;
    font-size: 1.1em;	
}

p {
    font-size: 1.3em;
    font-weight: normal;
}

img {
	pointer-events: none;
} /*This code is to prevent an annoying feature in microsoft edge where hovering over an image produces an icon and a que to run a visual search*/


a {
    text-decoration: none;
	all:unset;
	cursor: pointer;
}

#headerimages{
    background-image: url("Images for site/final-project-website-header.jpg");
    background-repeat: no-repeat;
	background-position: center top;
	background-size: 2089px 219px;
	
}


#headerlogo {
    max-height: 192px;
    display: flex;
    margin-right: auto;
    margin-left: auto;
    padding-top: 24px;
}

#sitetitle {
    font-family: FantaisieArtistique, serif;
    text-align: center;
    font-size: 3.2em;
    margin-top: -9px;
    font-weight: normal;
    background: linear-gradient(#a6ed8e 30%, #00b7a8 70%, #096386);
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
}

#navbar{
    background-color: #3B0D5E;
    text-align: center;
/*    min-height: 0px;*/
    margin-top: -27px;
}

#navbar li {
    display: inline-block;
}

.navbutton {
    text-transform: uppercase;
    width: auto;
    background-color: #1F0A2E;
    padding-top: 0px;
    padding-right: 16px;
    padding-bottom: 0px;
    padding-left: 16px;
    font-size: .5em;
    color: #00B7A8;
    text-decoration: none;
    display: inherit;
    border-radius: 9px;
    text-align: center;
    margin-left: 6px;
    list-style-type: none;
    list-style-image: none;
    border: 4px solid rgba(0,0,0,0.00);
    margin-top: -11px;
    margin-bottom: -11px;
    font-weight: normal;
 }
.navbutton:hover{
    background-color: #00B7A8;
    color: #1F0A2E;
    background-image: -webkit-linear-gradient(270deg,rgba(166,237,142,1.00) 0%,rgba(0,183,168,1.00) 100%);
    background-image: -moz-linear-gradient(270deg,rgba(166,237,142,1.00) 0%,rgba(0,183,168,1.00) 100%);
    background-image: -o-linear-gradient(270deg,rgba(166,237,142,1.00) 0%,rgba(0,183,168,1.00) 100%);
    background-image: linear-gradient(180deg,rgba(166,237,142,1.00) 0%,rgba(0,183,168,1.00) 100%);
    font-weight: bold;
    border: 4px solid #1F0A2E;
}


/*This piece of code only applies to error.html*/
#construction_text {
    text-align: center;
    margin-top: 77px;
    line-height: 1.5em;
    margin-left: auto;
    margin-right: auto;
} /*end of error.html code*/

.SectionTitleBox {
    max-width: 1100px;
    margin-top: 57px;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 38px;
    background-color: #3B0D5E;
    height: auto;
    border-radius: 12px;
}

main h1 {
    padding-top: 4px;
    padding-right: 0px;
    padding-left: 0px;
    padding-bottom: 0px;
    text-align: center;
    font-weight: normal;
    background: linear-gradient(#a6ed8e 30%, #00b7a8 70%, #096386);
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
    font-size: 2.6em;
    font-family: FantaisieArtistique, serif;
}

/*start of product1.html specific code*/

	#ProductsSection .SectionTitleBox {
		visibility: hidden;
		height: 0px;
		margin: 0px;
	}

	#AllShopItemSquares {
		display: grid;
		/*place-self: center;*/
		grid-template-columns: repeat(auto-fit, minmax(200px, 250px));
		gap: 1.5rem;
		max-width: 1100px;
		margin-left: auto;
		margin-right: auto;
		justify-content: center;
	}

	.saleitem {
		background-color: #3B0D5E;
		background-image: -webkit-linear-gradient(270deg,rgba(31,10,46,1.00) 58.54%,rgba(45,11,70,1.00) 70.98%,rgba(59,13,94,1.00) 81.34%,rgba(72,29,117,1.00) 91.71%);
		background-image: -moz-linear-gradient(270deg,rgba(31,10,46,1.00) 58.54%,rgba(45,11,70,1.00) 70.98%,rgba(59,13,94,1.00) 81.34%,rgba(72,29,117,1.00) 91.71%);
		background-image: -o-linear-gradient(270deg,rgba(31,10,46,1.00) 58.54%,rgba(45,11,70,1.00) 70.98%,rgba(59,13,94,1.00) 81.34%,rgba(72,29,117,1.00) 91.71%);
		background-image: linear-gradient(180deg,rgba(31,10,46,1.00) 58.54%,rgba(45,11,70,1.00) 70.98%,rgba(59,13,94,1.00) 81.34%,rgba(72,29,117,1.00) 91.71%);
		height: 265px;
	}

	.saleitem:hover {
		padding-top: 5px;
		padding-right: 5px;
		padding-left: 5px;
		border: medium solid #8062D6;
		transition: .1s;
		cursor:pointer;
	}

	.saleitem img{
		width: 100%;
	}

	.saleitem h2 {
		font-size: 1em;
		margin-top: -66px;
		margin-left: 7px;
		text-transform: uppercase;
		color: #A6ED8E;
		text-shadow: 2px 2px 2px rgba(0,0,0,0.43);
		font-family: Benguiat;
		font-weight: normal;
	}
	.saleitem h3 {
		font-size: .9rem;
		margin-top: -10px;
		padding-bottom: 11px;
		margin-left: 7px;
		text-transform: uppercase;
		color: #A6ED8E;
		text-shadow: 2px 2px 2px rgba(0,0,0,0.43);
		font-family: Benguiat;
		font-weight: normal;
	}


	#AboutUsCopy {
		margin-left: auto;
		margin-right: auto;
	}

	#AboutUsCopyBody {
		background: linear-gradient(#00b7a8 30%, #8061d6);
		-webkit-text-fill-color: transparent;
		-webkit-background-clip: text;
		margin-left: inherit;
		margin-right: inherit;
		padding-left: 40px;
		padding-right: 40px;
		max-width: 1100px;
	}

/*end of index.html specific code*/


/*start of product1.html specific code*/

	#productcontainer-div {
		display: flex;
		margin-left: auto;
		margin-right: auto;
		justify-content: center;
		font-weight: normal;
	}


	#imageselection-div {
		width: 12%;
		max-width: 140px;
		-webkit-box-sizing: border-box;
		-moz-box-sizing: border-box;
		box-sizing: border-box;
	}

	#imageselection-div img {
		max-width: 120px;
		width: 98%;
		display: block;
		margin-left: auto;
		margin-right: auto;
		margin-top: auto;
		margin-bottom: auto;
		/* [disabled]border-radius: 17px; */
		padding-top: 5px;
		padding-right: 5px;
		padding-bottom: 5px;
		padding-left: 5px;
	}

	#imageselection-div img:hover{
		margin-top: 10px;
		margin-bottom: 10px;
		padding-top: 5px;
		padding-right: 5px;
		padding-left: 5px;
		border: medium solid #8062D6;
		transition: .1s;
		cursor: pointer;
		-webkit-box-sizing: border-box;
		-moz-box-sizing: border-box;
		box-sizing: border-box;	
	}



	#largeproductimage-div {
		width: 50%;
		max-width: 500px;
		margin-left: 20px;
		margin-right: 20px;
	}

	#largeproductimage-div img {
		width: 100%;
		/* [disabled]border-radius: 17px; */
	}

	#producttext-div {
		width: 30%;
		font-weight: normal;
	}
	#producttext-div h1 {
		font-size: 2.6em;
		padding: 0px;
		margin: 0px;
		font-weight: normal;
		font-family: Benguiat;
		text-align: left;
	}

	#producttext-div h3 {
		font-size: 2.5rem;
		padding: 0px;
		margin: 0px;
		font-weight: normal;
	}

	#ProductTextParagraphs {
		background: linear-gradient(#00b7a8 30%, #8061d6);
		-webkit-text-fill-color: transparent;
		-webkit-background-clip: text;
	}

	#ProductTextParagraphs p {
		font-weight: normal;
		max-width: 600px;
		font-size: 1.3em;
	}

/*end of product1.html specific code*/


footer {
	display: flex;
    height: 200px;
	justify-content: sticky;
	/*justify-content: space-around;*/
}

footer div {
	margin:auto;
	margin-top: 45px
}

footer button {
    background-color: rgba(9,99,134,0.00);
    border: none;
    outline: none;
    box-shadow: none;
    margin-left: 5px;
    margin-right: 5px;
}

footer button:hover {
	cursor:pointer
}


#instagram_button {
    width: 30px;
    height: 30px;
    text-decoration: none;
    background-size: contain;
    background-image: url(button%20icons/instagram_icon-30x30.png);
	/*Image source: https://www.designbolts.com/2015/03/15/150-free-simple-vector-social-media-icons-set-2015/
	free for personal and commerical use*/
}

#instagram_button:hover {
    background-image: url(button%20icons/instagram_hover_icon-30x30.png);
    background-repeat: no-repeat;
    background-size: contain;
	/*Image source: https://www.designbolts.com/2015/03/15/150-free-simple-vector-social-media-icons-set-2015/
	free for personal and commerical use*/
}

#facebook_button {
    width: 30px;
    height: 30px;
    text-decoration: none;
    background-size: contain;
    background-image: url(button%20icons/facebook_icon-30x30.png);
	/*Image source: https://www.designbolts.com/2015/03/15/150-free-simple-vector-social-media-icons-set-2015/
	free for personal and commerical use*/
}

#facebook_button:hover {
    background-image: url(button%20icons/facebook_hover_icon-30x30.png);
    background-repeat: no-repeat;
    background-size: contain;
	/*Image source: https://www.designbolts.com/2015/03/15/150-free-simple-vector-social-media-icons-set-2015/
	free for personal and commerical use*/
}
